<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>

function setCookie(cname, cvalue, exdays) {
  var d = new Date();
  d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
  var expires = "expires="+d.toUTCString();
  document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
  var name = cname + "=";
  var ca = document.cookie.split(';');
  for(var i = 0; i < ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}

        function checkCookie() {
            var aid = getCookie("aid");
            var environment = getCookie("environment")
            if (aid != "" && environment != "") {
                alert("Welcome again " + aid + " " + environment);
                window.location.href = "http://localhost:3000/news";
            } else {
                aid = prompt("Please enter your aid:", "");
                environment = prompt("please enter the word sandbox if you're testing sandbox, or enter the word experience if you're in production.");
                if (aid != "" && aid != null && environment != "" && environment != null) {
                    setCookie("aid", aid, 365);
                    setCookie("environment", environment, 365);
                    window.location.href = "http://localhost:3000/news";
                }
            }
        }
        checkCookie();
        
        // const data = { aid: aid, environment: environment };

//         fetch('http://localhost:3000/envVar', {
//          method: 'POST', // or 'PUT'
//           headers: {
//           'Content-Type': 'application/json',
//           },
//           body: JSON.stringify(data),
//       })
// .then(response => response.json())
// .then(data => {
//   console.log('Success:', data);
// })
// .catch((error) => {
//   console.error('Error:', error);
// });


    </script>
</body>
</html>